Bug 181598 - gdm silently fails to start gnome-session when /tmp is full
gdm silently fails to start gnome-session when /tmp is full
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-02-14 22:01 EST by Paul Dickson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-06 14:58:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2006-02-14 22:01:55 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have root fill the / volume (which includes /tmp) so users can't add stuff.
2. Attempt to login via GDM
Actual results:
gnome-session fails to start but the ~/.xsession file is empty.

Expected results:
The ~/.xsession file should mention the lack of space in /tmp.

Additional info:
A couple of lines of shell code in /etc/gdm/Xsession should output this warning.
I had a hard time locating this problem because only my user process was
affected, not root.
Comment 2 Ray Strode [halfline] 2007-03-06 14:58:49 EST
Unfortunately things sorta fall over all over the place if the disk fills up. 
Maybe this should be fixed in gnome-session though, not gdm?  

At any rate, can you file this upstream? I don't think I'm going ot have time to
look at this any time soon (it's already been a year since the initial report)

If you do file it upstream, please post the upstream url here.

Note You need to log in before you can comment on or make changes to this bug.